@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;600&display=swap');


* {
    box-sizing: border-box;
}

body {
    background-image: linear-gradient(to top, #d4f3ff 0%, #f6f3ff 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Poppins', sans-serif;
    margin: 0;

    /* height: 100vh;
    height: calc(var(--vh, 1vh) * 100); */
    height: 100%;
    min-height: 100vh;
    /* min-height: -webkit-fill-available; */
}

/* html {
    height: -webkit-fill-available;
} */

.quiz-container {
    background-color: #fff;
    background-size: 100%;
    border-radius: 10px;
    box-shadow: 0 0 10px 2px rgba(100, 100, 100, 0.1);
    overflow: hidden;
    width: 600px;
    max-width: 100%;
}

.quiz-header, .cat-header, .quiz-overview, .results_overview {
    padding: 4rem;
}

.hidden {
    display: none;
}

h1 {
    font-size: 2rem;
    text-align: center;
    padding: 1rem;
    margin: 0;
}

h1 span {
    color: #8e44ad;
}

h2 {
    font-size: 1.5rem;
    color: #8e44ad;
    text-align: center;
    padding: 1rem;
    margin: 0;
}

.cat-header h1 {
    font-weight: bold;
}

.cat-header label, .cat-header span {
    font-size: 1.2em;
    padding-left: 5px;
    text-decoration: none;
    display: inline-flex;
}

/* buttons */
button {
    background-color: #8e44ad;
    border: none;
    color: white;
    cursor: pointer;
    display: block;
    font-family: inherit;
    font-size: 1.1rem;
    width: 100%;
    padding: 1.3rem;
}

button:hover {
    background-color: #6d218d;
}

button:focus {
    background-color: #5e3370;
    outline: none;
}

/* radio button */
ul {
    background-color: #f7e8ff;
    border-radius: 8px;
    list-style-type: none;
    padding: 5px 10px;
    -webkit-box-shadow: 7px 7px 5px rgba(0, 0, 0, 0.04), -7px -7px 5px rgba(255, 255, 255, 0.8);
    box-shadow: 7px 7px 5px rgba(0, 0, 0, 0.04), -7px -7px 5px rgba(255, 255, 255, 0.8);
}

ul li, .options_Ul li {
    font-size: 1.2rem;
    margin: 1rem 0;

    display: flex;
    grid-template-columns: 15px 1fr;
    gap: 5px;
}

ul li label {
    cursor: pointer;
    margin-top: -5px;
}

.cat-header li {
    border-bottom: 1px solid #b26ad1;
    border-radius: 5px;
}

.options_Ul label {
    margin-left: 5px;
}

.radio {
    pointer-events: none;
}

input[type='radio']:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: #d1d3d1;
    content: '';
    display: inline-block;
    visibility: visible;
}

input[type='radio']:hover:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: #b2b4b2;
    content: '';
    display: inline-block;
    visibility: visible;
}

input[type='radio']:checked:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: #b15ed4;
    content: '';
    display: inline-block;
    visibility: visible;
}

/* results overview */
.resultsQ_false, .resultsQ_correct {
    cursor: pointer;
    display: table;
    padding: 0;
    margin: 16px auto;
}

.resultsQ_correct {
    color: rgb(46, 197, 46);
    font-weight: normal;
}

.resultsQ_correct:visited {
    color: rgb(23, 172, 23);
    font-weight: bold;
}
.resultsQ_correct:hover {
    color: rgb(23, 172, 23);
    font-weight: bold;
}

.resultsQ_correct:focus {
    color: rgb(23, 172, 23);
    font-weight: bold;
}

.resultsQ_correct:active {
    color: rgb(23, 172, 23);
    font-weight: bold;
}

.resultsQ_false {
    color: rgb(240, 101, 101);
    font-weight: normal;
}

.resultsQ_false:visited {
    color: rgb(212, 71, 71);
    font-weight: bold;
}

.resultsQ_false:hover {
    color: rgb(212, 71, 71);
    font-weight: bold;
}

.resultsQ_false:focus {
    color: rgb(212, 71, 71);
    font-weight: bold;
}

.resultsQ_false:active {
    color: rgb(212, 71, 71);
    font-weight: bold;
}


/* media queries */
@media screen and (max-width: 546px) {
    .cat-header {
        padding: 3rem;
    }
}